Bug 251828 - Review Request: quesa - OSS implementation of QuickDraw 3D
Review Request: quesa - OSS implementation of QuickDraw 3D
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 20:38 EDT by Adam Jackson
Modified: 2008-02-18 10:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 10:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-08-11 20:38:02 EDT
Spec URL: http://ajax.fedorapeople.org/quesa/quesa.spec
SRPM URL: http://ajax.fedorapeople.org/quesa/quesa-1.8-1.fc8.src.rpm
Description:

Quesa is an open source implementation of the QuickDraw 3D API.  It acts as a scene graph while using OpenGL for a renderer.  More information at http://www.quesa.org/
Comment 1 Jason Tibbitts 2007-11-07 21:14:49 EST
Let's take a look:

Builds OK and the specfile looks clean.

It might be nice to package the ChangeLog file as documentation.

rpmlint notices a few things:

  quesa.x86_64: W: file-not-utf8 /usr/share/doc/quesa-1.8/AUTHORS
Just one character; a pass through iconv should fix it up.

  quesa.x86_64: E: library-without-ldconfig-postin /usr/lib64/libquesa.so.0.0.0
  quesa.x86_64: E: library-without-ldconfig-postun /usr/lib64/libquesa.so.0.0.0
Need those ldconfig calls.

quesa-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/quesa-1.8/Source/FileFormats/Writers/3DMF/E3FFW_3DMFBin_Register.c
quesa-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/quesa-1.8/Source/FileFormats/Readers/3DMF/E3FFR_3DMF.c

For some reason soe source files are executable.  Probably not a big deal but
trivially fixed with a chmod in %prep.
Comment 2 Mamoru TASAKA 2007-12-16 00:06:01 EST
Any progress on here?
Comment 3 Giandomenico De Tullio 2007-12-16 11:21:36 EST
web site in URL: tag is not valid, perhaps it is better using
 http://sourceforge.net/projects/quesa/  or 
 http://quesa.sourceforge.net/

Comment 4 Mamoru TASAKA 2007-12-27 11:40:16 EST
ping again?
Comment 5 Adam Jackson 2008-01-02 17:53:08 EST
Sorry for the delay.  New stuff:

Spec URL: http://ajax.fedorapeople.org/quesa/quesa.spec
SRPM URL: http://ajax.fedorapeople.org/quesa/quesa-1.8-1.fc8.src.rpm

Fixes all the above concerns, except for %doc ChangeLog, which appears to not
have been updated in over three years now.
Comment 6 Jason Tibbitts 2008-01-18 23:47:40 EST
Odd, mow I'm seeing more spurious-executable-perm complaints on the following files:

/usr/src/debug/quesa-1.8/Source/FileFormats/Writers/3DMF/E3FFW_3DMFBin_Register.c
/usr/src/debug/quesa-1.8/Source/FileFormats/Readers/3DMF/E3FFR_3DMF_Bin.h
/usr/src/debug/quesa-1.8/Source/FileFormats/Writers/3DMF/E3FFW_3DMFBin_Geometry.c
/usr/src/debug/quesa-1.8/Source/FileFormats/Writers/3DMF/E3FFW_3DMFBin_Writer.c
/usr/src/debug/quesa-1.8/Source/FileFormats/Readers/3DMF/E3FFR_3DMF.h
/usr/src/debug/quesa-1.8/Source/FileFormats/E3IOFileFormat.c
/usr/src/debug/quesa-1.8/Source/FileFormats/E3IOFileFormat.h

I just change the chmod line you had in %prep to
  find Source/FileFormats -name '*.[ch]' -exec chmod a-x {} \;
and those complaints all go away, leaving just
  quesa-devel.x86_64: W: no-documentation
which is not a problem.

Since I only see one issue and the fix is trivial, I'll approve this package
and you can fix it up when you check in.

* source files match upstream:
   3d14ed7deabc8245551bff72995bdbbcfc29a9402bdef6a2548461ae4ddc2a91  
   quesa-1.8.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has some valid complaints.
* final provides and requires are sane:
  quesa-1.8-1.fc9.x86_64.rpm
   libquesa.so.0()(64bit)
   quesa = 1.8-1.fc9
  =
   /sbin/ldconfig
   libGL.so.1()(64bit)
   libGLU.so.1()(64bit)
   libX11.so.6()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libquesa.so.0()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)

  quesa-devel-1.8-1.fc9.x86_64.rpm
   quesa-devel = 1.8-1.fc9
  =
   libquesa.so.0()(64bit)
   quesa = 1.8-1.fc9

* %check is not present; no test suite upstream.  I have no way to test this
   package.
* shared libraries installed; ldconfig called properly and unversioned .so
   files are in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are appropriate (executable source files)
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the debug package.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED; just fix up those source file permissions.
Comment 7 Adam Jackson 2008-02-13 15:01:17 EST
New Package CVS Request
=======================
Package Name: quesa
Short Description: OSS implementation of QuickDraw3D
Owners: ajax
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-02-13 18:06:39 EST
cvs done.
Comment 9 Adam Jackson 2008-02-18 10:57:16 EST
Building for rawhide with additional chmod goodness.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.